import type { CompactTestStringLenOp } from '../codec/compact/types';
import { AbstractPredicateOp } from './AbstractPredicateOp';
import type { OperationTestStringLen } from '../types';
import { type Path } from '@jsonjoy.com/json-pointer';
import { OPCODE } from '../constants';
import type { AbstractOp } from './AbstractOp';
/**
 * @category JSON Patch Extended
 */
export declare class OpTestStringLen extends AbstractPredicateOp<'test_string_len'> {
    readonly len: number;
    readonly not: boolean;
    constructor(path: Path, len: number, not: boolean);
    op(): "test_string_len";
    code(): OPCODE;
    test(doc: unknown): boolean;
    toJson(parent?: AbstractOp): OperationTestStringLen;
    toCompact(parent: undefined | AbstractOp, verbose: boolean): CompactTestStringLenOp;
}
